@tailwind base;
@tailwind components;
@tailwind utilities;

html {
  scroll-behavior: smooth;
}

.light {
  padding-top: 50px;
  padding-bottom: 50px;
}

a {
  color: #f28a20;
}

.light a {
  color: #f28a20;
}

.dark {
  background-color: #244471;
  color: white;
  padding-top: 50px;
  padding-bottom: 50px;
}

.dark a {
  color: #f28a20;
}

.dark blockquote {
  color: white;
}

.ol-rotate {
  display: none;
}

.ol-zoom {
  @apply flex gap-1 w-full p-1;
}

.ol-zoom-in {
  @apply px-2 bg-[#244471] rounded-md shadow-md text-white font-semibold;
}

.ol-zoom-out {
  @apply px-2 bg-[#244471] rounded-md shadow-md text-white;
}

.ol-attribution button {
  display: none;
}

.ol-overlaycontainer-stopevent {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.ol-attribution {
  @apply p-2;
  background-color: white;
  opacity: 0.8;
  color: black;
}

p {
  @apply my-2;
}
